## cascading.cascade
Class Cascade.CascadeJob

    java.lang.Object
      cascading.cascade.Cascade.CascadeJob

All Implemented Interfaces:
  Callable<Throwable>

Enclosing class:
  Cascade

    protected class Cascade.CascadeJob

extends Object
implements Callable<Throwable>

Class CascadeJob manages Flow execution in the current Cascade instance.

Constructor Summary
`Cascade.CascadeJob(Flow flow)`

Method Summary
`Throwable` `call()`
`String` `getName()`
`void` `init(List<Cascade.CascadeJob> predecessors)`
`boolean` `isSuccessful()`
`void` `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cascade.CascadeJob

    public Cascade.CascadeJob(Flow flow)

Method Detail

### getName

    public String getName()

### call

    public Throwable call()

  Specified by:
    `call` in interface `Callable<Throwable>`

### init

    public void init(List<Cascade.CascadeJob> predecessors)

### stop

    public void stop()

### isSuccessful

    public boolean isSuccessful()

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.